Subject: bug#33007: 27.0.50; Proposal for function to edit and return string

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 10 May 2022 03:53:54 +0200

Juri Linkov <[email-masked]> writes:

>> Shouldn't it wait to do the fitting until it's prepared the buffer?
>> I.e., it should create the buffer first, insert all the stuff, and then
>> pop to it?
>
> This is possible by moving `pop-to-buffer' to the end of the function.

Yeah, that's what I meant.

>>> -    (kill-buffer (current-buffer))
>>> +    (quit-window 'kill)
>>
>> I think we really want to kill the buffer?  It'd be disturbing to leave
>> thees buffers lying around from a function call like
>> read-string-from-buffer.
>
> The arg `kill' of `quit-window' actually kills the buffer.

I think I need new glasses or something.

Anyway, looks good to me, so go ahead and push.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no